UUIDD(8)

NOM
uuidd - Démon de génération d'UUID

SYNOPSIS

uuidd [options]

DESCRIPTION

Le démon uuidd est utilisé par la bibliothèque UUID pour générer des identifiants universels uniques (UUID), en particulier les UUID temporels de façon sécurisée et garantis uniques, même en présence d'un grand nombre de processus légers s'exécutant sur différents processeurs en essayant de saisir les UUID.

OPTIONS

-C, --cont-clock opt_arg
    Activate continuous clock handling for time based UUIDs. uuidd could use all possible clock values, beginning with the daemon’s start time. The optional argument can be used to set a value for the max_clock_offset. This gurantees, that a clock value of a UUID will always be within the range of the max_clock_offset. '-C' or '--cont-clock' enables the feature with a default max_clock_offset of 2 hours. '-C<NUM>[hd]' or '--cont-clock=<NUM>[hd]' enables the feature with a max_clock_offset of NUM seconds. In case of an appended h or d, the NUM value is read in hours or days. The minimum value is 60 seconds, the maximum value is 365 days.

-d, --debug
    Exécuter uuidd en mode de débogage. Cela empêche uuidd de fonctionner comme un démon.

-F, --no-fork
    Ne pas transformer en démon en utilisant un double fork().

-k, --kill
    Si un démon uuidd est déjà en cours d’exécution, le tuer.

-n, --uuids nombre
    Lors de l’envoi d’une demande de test à un uuidd en cours d’exécution, demander une réponse groupée de nombre UUID.

-P, --no-pid
    Ne pas créer de fichier pid.

-p, --pid chemin
    Indiquer le nom de chemin où le fichier pid devra être écrit. Par défaut, le fichier pid est écrit dans {runstatedir}/uuidd/uuidd.pid.

-q, --quiet
    Supprimer certains messages d'échec.

-r, --random
    Tester uuidd en essayant de se connecter à un démon uuidd en cours d'exécution et attendre en retour un UUID aléatoire.

-S, --socket-activation
    Ne pas créer de socket mais à la place attendre qu’il soit fourni par le processus appelant. Cela implique --no-fork et --no-pid. Cette option n’est supposée être utilisée qu’avec systemd(1). Elle doit être activée avec une option de configuration.

-s, --socket chemin
    Forcer uuidd à utiliser ce chemin pour les sockets de domaine UNIX. Par défaut, le chemin est {runstatedir}/uuidd/request. C'est avant tout une option de débogage puisque le chemin est défini en dur dans la bibliothèque libuuid.

-T, --timeout délai
    Forcer uuidd à quitter après délai secondes d'inactivité.

-t, --time
    Tester uuidd en essayant de se connecter à un démon uuidd en cours d'exécution et attendre en retour un UUID temporel.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version puis quitter.

EXEMPLE

Démarrer un démon, afficher 42 clefs aléatoires puis arrêter le démon :

    uuidd -p /tmp/uuidd.pid -s /tmp/uuidd.socket
    uuidd -d -r -n 42 -s /tmp/uuidd.socket
    uuidd -d -k -s /tmp/uuidd.socket

AUTEUR

Le démon uuidd a été écrit

VOIR AUSSI

uuid(3), uuidgen(1)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande uuidd fait partie du paquet util-linux, qui peut être téléchargé de

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.